summaryrefslogtreecommitdiffstats
path: root/examples/ncclient/test_edit_config.sh
diff options
context:
space:
mode:
authorMichal Cmarada <mcmarada@cisco.com>2019-01-23 11:41:26 +0100
committerMichal Cmarada <mcmarada@cisco.com>2019-01-23 11:43:40 +0100
commit498be1107120dd7a9a8df5443b74689fbe95f61a (patch)
tree4060cc8491006bfb898776d4a8eeea29aac88428 /examples/ncclient/test_edit_config.sh
parent7645a98e4c92a20d45a8a1417db498db1b075080 (diff)
Update ncclient examples
- added optional parameter host for copy_config, get_config and edit-config. - added basic tests for interfaces: - loopback interface - af-packet interface - tap interface - added diff_xml.py to find differences between two sets of config. It supports both full xml comparison and comparison based on xPath - added example diff between running and candidate config (interfaces) - fixed formatting and namespaces Change-Id: If6dd7a76fab538735ab92c67f9457326fbcba7ec Signed-off-by: Michal Cmarada <mcmarada@cisco.com>
Diffstat (limited to 'examples/ncclient/test_edit_config.sh')
-rwxr-xr-xexamples/ncclient/test_edit_config.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/examples/ncclient/test_edit_config.sh b/examples/ncclient/test_edit_config.sh
new file mode 100755
index 000000000..a13570933
--- /dev/null
+++ b/examples/ncclient/test_edit_config.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Copyright (c) 2019 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# $1 config element for <copy-config> RPC
+# $2 expected running config
+# $3 xPath to verify config against
+
+DIR_NAME=$(dirname $0)
+
+${DIR_NAME}/edit_config.py $1 -c
+${DIR_NAME}/get_config.py --reply_filename _actual_config.xml
+
+# fixme: find better xml comparison tool
+# xmldiffs does not work well when difference occurs on deep level
+${DIR_NAME}/xmldiffs.py $2 _actual_config.xml $3
+ret_code=$?
+
+if [[ ${ret_code} == 0 ]]; then
+ echo "<edit-config> successful"
+ rm _actual_config.xml
+ exit 0
+fi
+
+echo "<edit-config> failed"
+exit 1